zenilib: zenilib/jni/external/zlib/adler32.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
adler32.c File Reference
`#include "zutil.h"`

Go to the source code of this file.

## Macros

#define | BASE 65521UL /* largest prime smaller than 65536 */
#define | DO1(buf, i) {adler += (buf)[i]; sum2 += adler;}
#define | DO16(buf) DO8(buf,0); DO8(buf,8);
#define | DO2(buf, i) DO1(buf,i); DO1(buf,i+1);
#define | DO4(buf, i) DO2(buf,i); DO2(buf,i+2);
#define | DO8(buf, i) DO4(buf,i); DO4(buf,i+4);
#define | local static
#define | MOD(a) a %= BASE
#define | MOD4(a) a %= BASE
#define | NMAX 5552

## Functions

uLong ZEXPORT | adler32 (uLong adler, const Bytef *buf, uInt len)
uLong ZEXPORT | adler32_combine (uLong adler1, uLong adler2, z_off_t len2)
uLong ZEXPORT | adler32_combine64 (uLong adler1, uLong adler2, z_off64_t len2)
local uLong | adler32_combine_ (uLong adler1, uLong adler2, z_off64_t len2)

## Macro Definition Documentation

#define BASE 65521UL /* largest prime smaller than 65536 */

Definition at line 14 of file adler32.c.

Referenced by adler32(), and adler32_combine_().

#define DO1 | ( |  | buf,
|  |  | i
| ) |  | {adler += (buf)[i]; sum2 += adler;}

Definition at line 18 of file adler32.c.

#define DO16 | ( |  | buf | ) | DO8(buf,0); DO8(buf,8);

Definition at line 22 of file adler32.c.

Referenced by adler32().

#define DO2 | ( |  | buf,
|  |  | i
| ) |  | DO1(buf,i); DO1(buf,i+1);

Definition at line 19 of file adler32.c.

#define DO4 | ( |  | buf,
|  |  | i
| ) |  | DO2(buf,i); DO2(buf,i+2);

Definition at line 20 of file adler32.c.

#define DO8 | ( |  | buf,
|  |  | i
| ) |  | DO4(buf,i); DO4(buf,i+4);

Definition at line 21 of file adler32.c.

#define local static

Definition at line 10 of file adler32.c.

#define MOD | ( |  | a | ) | a %= BASE

Definition at line 55 of file adler32.c.

Referenced by adler32(), and adler32_combine_().

#define MOD4 | ( |  | a | ) | a %= BASE

Definition at line 56 of file adler32.c.

Referenced by adler32().

#define NMAX 5552

Definition at line 15 of file adler32.c.

Referenced by adler32().

## Function Documentation

uLong ZEXPORT adler32 | ( | uLong | adler,
|  | const Bytef * | buf,
|  | uInt | len
| ) |  |

Definition at line 60 of file adler32.c.

References BASE, DO16, MOD, MOD4, NMAX, and Z_NULL.

Referenced by deflate(), deflateReset(), deflateSetDictionary(), inflate(), inflateSetDictionary(), and read_buf().

uLong ZEXPORT adler32_combine | ( | uLong | adler1,
|  | uLong | adler2,
|  | z_off_t | len2
| ) |  |

Definition at line 155 of file adler32.c.

References adler32_combine_().

uLong ZEXPORT adler32_combine64 | ( | uLong | adler1,
|  | uLong | adler2,
|  | z_off64_t | len2
| ) |  |

Definition at line 163 of file adler32.c.

References adler32_combine_().

local uLong adler32_combine_ | ( | uLong | adler1,
|  | uLong | adler2,
|  | z_off64_t | len2
| ) |  |

Definition at line 131 of file adler32.c.

References BASE, and MOD.

Referenced by adler32_combine(), and adler32_combine64().